Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

company_id
string

The unique identifier of the company to list memberships for. Required when using an API key.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string>

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
order
enum<string>

The field to sort results by. Null uses the default sort order.

Available options:
id,
created_at,
status,
canceled_at,
date_joined,
total_spend
product_ids
string[]

Filter to only memberships belonging to these product identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

statuses
enum<string>[]

Filter to only memberships matching these statuses.

The status of a membership

Available options:
trialing,
active,
past_due,
completed,
canceled,
expired,
unresolved,
drafted,
canceling
cancel_options
enum<string>[]

Filter to only memberships matching these cancellation reasons.

The different reasons a user can choose for why they are canceling their membership.

Available options:
too_expensive,
switching,
missing_features,
technical_issues,
bad_experience,
other,
testing
cancelation_status
enum<string>

Filter memberships by whether the customer is canceling, left, or was won back.

Available options:
won_back,
left,
canceling
has_cancelation_reason
boolean

Filter memberships by whether they have a structured or free-text cancellation reason.

include_text_only_cancelation_reasons
boolean

When filtering by the other cancellation option, also include memberships that only have a free-text cancellation reason.

plan_ids
string[]

Filter to only memberships belonging to these plan identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

user_ids
string[]

Filter to only memberships belonging to these user identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

promo_code_ids
string[]

Filter to only memberships that used these promo code identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

created_before
string<date-time>

Only return memberships created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time>

Only return memberships created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PublicMembership.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.

total_count
integer
required

The total number of items in this connection.

Example:

42